Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/noble64"

	config.vm.provider :virtualbox do |v|
		v.name = "gamehost"
		v.memory = 512
		v.cpus = 2
		v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
    v.customize ["modifyvm", :id, "--ioapic", "on"]
	end

	config.vm.network :private_network, ip: "192.168.56.22"
	config.vm.hostname = "gamehost"

	config.vm.define :gamehost do |gamehost|
  end

	config.vm.provision "ansible" do |ansible|
		ansible.compatibility_mode = "2.0"
		ansible.playbook = "ansible/playbook.yml"
		ansible.inventory_path = "ansible/provisioning/inventory"
		ansible.become = true
	end
end
